API reference OpenAPI 3.1
POST /whitelist

Create whitelist

Bearer API key or staff session application/json operation createWhitelist

Request

Content type: application/json · required

FieldTypeRequiredDescription
subject_key string Yes —
entity_id string Yes —
reason string Yes —
expires_at string No —
curl -X POST "$MONICHEK_API/whitelist" \
  -H "Authorization: Bearer $MONICHEK_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "subject_key": "string",
  "entity_id": "id_01M3R...",
  "reason": "Customer requested review",
  "expires_at": "string"
}'
const res = await fetch(`${MONICHEK_API}/whitelist`, {
  method: "POST",
  headers: {
    Authorization: `Bearer ${MONICHEK_API_KEY}`,
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
    "subject_key": "string",
    "entity_id": "id_01M3R...",
    "reason": "Customer requested review",
    "expires_at": "string"
  }),
});

const data = await res.json();
import os
import requests

res = requests.post(
    f"{os.environ['MONICHEK_API']}/whitelist",
    headers={"Authorization": f"Bearer {os.environ['MONICHEK_API_KEY']}"},
    json={
      "subject_key": "string",
      "entity_id": "id_01M3R...",
      "reason": "Customer requested review",
      "expires_at": "string"
    },
)
print(res.json())
$ch = curl_init(getenv('MONICHEK_API') . '/whitelist');
curl_setopt_array($ch, [
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_CUSTOMREQUEST => 'POST',
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer ' . getenv('MONICHEK_API_KEY'),
        'Content-Type: application/json',
    ],
    CURLOPT_POSTFIELDS => json_encode([
        'subject_key' => 'string',
        'entity_id' => 'id_01M3R...',
        'reason' => 'Customer requested review',
        'expires_at' => 'string',
    ]),
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;

Responses

201 Created entry application/json
{
  "object": "whitelist_entry",
  "id": "whl_01M3R..."
}

Error responses

StatusMeaningBody
401 Unauthorized RFC 9457 problem
422 Unprocessable Entity RFC 9457 problem

Errors use the RFC 9457 problem format with a stable code.